using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VSoft.Config;

namespace VSoft
{
    public partial class FrmAbout : Skins.SKinForm
    {
        public FrmAbout()
        {
            InitializeComponent();
        }

        private void FrmAbout_Load(object sender, EventArgs e)
        {
            lblTitle.Text = Soft_Info.Soft_Title + " V" + ryCommon.RySoft.VersionStr;
            LblQQ_Qun.Text = Soft_Info.QQ_Qun;
            if (Soft_Info.Soft_Url.Length == 0) { lblVisitUrl.Enabled = false; }
        }

        private void LblVisitUrl_Click(object sender, EventArgs e)
        {
            ryCommon.RyFiles.OpenUrl(Soft_Info.Soft_Url);
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

        private void LblQQ_Qun_Click(object sender, EventArgs e)
        {
            try
            {
                Clipboard.SetText(LblQQ_Qun.Text);
                Prams.Msg.ShowMsg("已成功复制到剪切板,请复制到QQ搜索。","提示",MessageBoxButtons.OK,MessageBoxIcon.Information);
            }
            catch { }
        }
    }
}
